Update a Payment Method
Updates a Payment Method
PATCH
/
api
/
v2
/
platform
/
payment_methods
/
{id}
Update a Payment Method
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method: {
name: 'Test Payment Method',
active: true,
auto_capture: true,
description: 'This is a test payment method',
type: 'Spree::Gateway::Bogus',
display_on: 'both',
store_ids: ['2'],
public_metadata: {},
private_metadata: {}
}
})
};
fetch('http://{defaultHost}/api/v2/platform/payment_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/payment_methods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method": {
"name": "Test Payment Method",
"active": true,
"auto_capture": true,
"description": "This is a test payment method",
"type": "Spree::Gateway::Bogus",
"display_on": "both",
"store_ids": [
"2"
],
"public_metadata": {},
"private_metadata": {}
}
}
'{
"data": {
"id": "40",
"type": "payment_method",
"attributes": {
"name": "Credit Card",
"type": "Spree::Gateway::Bogus",
"description": null,
"active": true,
"display_on": "both",
"auto_capture": null,
"position": 3,
"created_at": "2022-11-08T19:34:49.452Z",
"updated_at": "2022-11-08T19:34:49.687Z",
"deleted_at": null,
"public_metadata": {},
"private_metadata": {},
"preferences": {
"dummy_key": "UPDATED-DUMMY-KEY-123",
"test_mode": false,
"server": "production"
}
},
"relationships": {
"stores": {
"data": [
{
"id": "301",
"type": "store"
}
]
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
- Update Payment Method
- Update Bogus Gateway
Show child attributes
Show child attributes
Response
Record updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a Payment Method
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method: {
name: 'Test Payment Method',
active: true,
auto_capture: true,
description: 'This is a test payment method',
type: 'Spree::Gateway::Bogus',
display_on: 'both',
store_ids: ['2'],
public_metadata: {},
private_metadata: {}
}
})
};
fetch('http://{defaultHost}/api/v2/platform/payment_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/payment_methods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method": {
"name": "Test Payment Method",
"active": true,
"auto_capture": true,
"description": "This is a test payment method",
"type": "Spree::Gateway::Bogus",
"display_on": "both",
"store_ids": [
"2"
],
"public_metadata": {},
"private_metadata": {}
}
}
'{
"data": {
"id": "40",
"type": "payment_method",
"attributes": {
"name": "Credit Card",
"type": "Spree::Gateway::Bogus",
"description": null,
"active": true,
"display_on": "both",
"auto_capture": null,
"position": 3,
"created_at": "2022-11-08T19:34:49.452Z",
"updated_at": "2022-11-08T19:34:49.687Z",
"deleted_at": null,
"public_metadata": {},
"private_metadata": {},
"preferences": {
"dummy_key": "UPDATED-DUMMY-KEY-123",
"test_mode": false,
"server": "production"
}
},
"relationships": {
"stores": {
"data": [
{
"id": "301",
"type": "store"
}
]
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
